import 'dart:async';
import 'package:flutter/services.dart';

class PhotoEditorSdk {
  static const MethodChannel _channel = const MethodChannel('photo_editor_sdk');

  static Future setUserId({String id}) async {
    return await _channel.invokeMethod('setUserId', id);
  }

  static Future hasAddLogo({bool has, String url}) async {
    return await _channel.invokeMethod(
        'hasAddLogo', <String, Object>{'hasAddLogo': has, 'urlAddLogo': url});
  }

  static Future addAllContents(
      {List<String> logos, List<String> stickers}) async {
    return await _channel.invokeMethod('addAllContents', <String, List<String>>{
      'logos': logos ??= [],
      'stickers': stickers ??= []
    });
  }

  static Future editImage(String pathUrl, {isLocally = false}) async {
    return await _channel.invokeMethod(
        isLocally ? 'editImageByFile' : 'editImageByUrl', pathUrl);
  }

  static Future editImageSerialized({String pathUrl, String jsonSerialized}) async {
    return await _channel.invokeMethod(
        'editImageSerialized', <String, String>{
          'pathUrl': pathUrl, 'jsonSerialized': jsonSerialized,
    });
  }

  static Future setEditorOptions({List<String> options}) async {
    return await _channel.invokeMethod('setEditorOptions', options);
  }
}
